Subject: Re: [Mip4] draft-ietf-mip4-nemo-dynamic-01

From: "George Tsirtsis" <[email-masked]>
Date: Fri, 29 Aug 2008 10:53:09 +0100

Hi Pete,

Thanks for the comments. I accepted all your suggestions and will be
publishing the updated draft today.

George

On Fri, Aug 22, 2008 at 4:36 PM, McCann Peter-A001034
<[email-masked]> wrote:
>
> <chair hat off>
>
> I've reviewed the (now expired) draft-ietf-nemo-dynamic-01.
> I hope we can revive this draft.
>
> Some comments for an update are below:
>
> Throughout the document, change reference [I-D.ietf-mip4-nemo-v4-base]
> to [RFC5177].
>
> Section 3.1:
>
> 1st paragraph: add a statement that says this only works for
> explicit mode of operation.
>
> 3rd, 4th and 5th paragraph: should we really be using the outer
> code field of the Registration Reply, or the inner Code field
> of the Mobile Network Acknowledgement extension?  It seems possible
> to process the basic MIP Registration Request but fail the NEMO
> prefix allocation.  Suggest using Code 1 (Invalid prefix) in case
> the HA does implement NEMO but not dynamic prefix allocation.
>
> Remove editors note.
>
> Section 3.2:
>
> 3rd paragraph: should we say that the lifetime of the prefix equals
> the lifetime of the binding cache entry?
>
> 4th paragraph: spurious "If the home" sentence fragment.
>
> Re-word next sentence: "Otherwise, as defined in the NAI extension
> [RFC2794] to the base Mobile IPv4 protocol [RFC3344], the NAI extension
> needs to be included in the registration request, ..."
>
>
>
>
-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/